<?php
namespace Fifa\ConnectServiceBus\Sdk\Authentication;

/**
 * Class ConnectServiceBusAuthenticationResourceBuilder
 * @package Fifa\ConnectServiceBus\Sdk\Authentication
 */
class ConnectServiceBusAuthenticationResourceBuilder extends AuthenticationResourceBuilderBase
{
    private $mapping = array(
        'bus.id.ma.services'                    => 'fci-servicebus-prod',
        'preprod-bus.id.ma.services'            => 'fci-servicebus-prep',
        'fci-servicebus-int.azurewebsites.net'  => 'fci-servicebus-int',
        'fci-servicebus-test.azurewebsites.net' => 'fci-servicebus-test',
        'fci-servicebus-beta.azurewebsites.net' => 'fci-servicebus-beta'
    );

    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct($this->mapping);
    }
}